Subject: RE: [External] : bug#48764: mini-buffer completion

From: Drew Adams <[email-masked]>
Date: Tue, 1 Jun 2021 16:00:47 +0000

> > But the mini-buffer does not provide the user with any indication that
> > he can use the "up" and "down" keys to navigate a list of settings.
> > It would be beneficial to introduce some kind of glyph or indicator in
> > the mini-buffer to make the user aware that arrow keys can be used,
> > and be described in the manual.
> 
> It should not come as a surprise that basic navigation keys allow you to
> navigate basically.
> 
> Closing.

I wouldn't argue that the minibuffer itself needs to
provide any such indication.  (Some doc should perhaps
mention it, however.)  I agree with you about that.

But the reply that users should expect "basic navigation
keys" to "navigate basically" presents things in a
distorted way.

Basic navigation keys generally do work in the basic,
i.e., ordinary way in the minibuffer.  But <up> and
<down> do NOT do so.  Their normal/basic behavior is
to move up or down a line of text.  They _could_ do that
in the minibuffer, but they don't.  Likewise, `C-n' and
`C-p'.

So while I tend to agree that the minibuffer itself
need not advertise what <up> and <down> do, the argument
that you gave is specious, IMO.  In fact, it argues the
opposite: it argues that <up> and <down> (and `C-[n|p]')
should "allow you to navigate basically", i.e., move up
and down a line of minibuffer text.

Not to mention that _cycling_ candidates is not a basic
navigation behavior.  It's not a navigation behavior at
all.  It doesn't move point or the mouse pointer, doesn't
move focus, or do any of the things one might think of as
"basic navigation" behavior.